# Method: skus.price.get

- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price/get#try-it)

Gets the latest price for the given `SKU`.

### HTTP request

`GET https://cloudbilling.googleapis.com/v1beta/{name=skus/*/price}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the latest price to retrieve. Format: skus/{sku}/price |

### Query parameters

| Parameters ||
|---|---|
| `currencyCode` | `string` Optional. ISO-4217 currency code for the price. If not specified, USD will be used. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/skus.price#Price`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-billing.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).